net.dontdrinkandroot.wicket.behavior.jqueryui

## Class JQueryUiDraggableBehavior

- java.lang.Object
- - org.apache.wicket.behavior.Behavior
  - - net.dontdrinkandroot.wicket.behavior.jqueryui.JQueryUiDraggableBehavior

All Implemented Interfaces:
  Serializable, org.apache.wicket.IComponentAwareEventSink, org.apache.wicket.markup.html.IComponentAwareHeaderContributor, org.apache.wicket.util.io.IClusterable

    public class JQueryUiDraggableBehavior
    extends org.apache.wicket.behavior.Behavior

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JQueryUiDraggableBehavior()`

### Method Summary

Methods
`void` `renderHead(org.apache.wicket.Component component, org.apache.wicket.markup.head.IHeaderResponse response)`

### Methods inherited from class org.apache.wicket.behavior.Behavior

`afterRender, beforeRender, bind, canCallListenerInterface, detach, getStatelessHint, isEnabled, isTemporary, onComponentTag, onConfigure, onEvent, onException, onRemove, unbind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JQueryUiDraggableBehavior

    public JQueryUiDraggableBehavior()

### Method Detail

#### renderHead

    public void renderHead(org.apache.wicket.Component component,
                  org.apache.wicket.markup.head.IHeaderResponse response)

Specified by:
  `renderHead` in interface `org.apache.wicket.markup.html.IComponentAwareHeaderContributor`
Overrides:
  `renderHead` in class `org.apache.wicket.behavior.Behavior`